#[derive(Debug, thiserror::Error)]
pub enum Error {
	#[error("I/O error")]
	IO(#[from] std::io::Error),
	//#[error("codec error")]
	//Codec(#[from] speedy::Error),
	#[error("codec error")]
	Codec(#[from] Box<bincode::ErrorKind>),
	#[error("key {0} not found")]
	NotFound(u64),
	#[error("missing value")]
	MissingValue
}

